#
# spec file for package python-apiclient
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-apiclient
Version:        1.0.2
Release:        3.1
License:        MIT
Summary:        Framework for making good API client libraries using urllib3
Url:            https://github.com/shazow/apiclient
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/a/apiclient/apiclient-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-urllib3
BuildRequires:  python-nose
Requires:       python-urllib3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Tiny framework for building *good* API client libraries thanks to
urllib3.
Highlights:
- Threadsafely reuses connections with Keep-Alive (via urllib3).
- Small and easy to understand codebase perfect for extending and building upon.
- Built-in support for rate limiting and request throttling.
- Functional examples for the
  `Klout API <https://github.com/shazow/apiclient/blob/master/examples/klout.py>`_
  and the
  `Facebook OpenGraph API <https://github.com/shazow/apiclient/blob/master/examples/facebook.py>`_.

%prep
%setup -q -n apiclient-%{version}

%build
python setup.py build

%check
nosetests

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE.txt README README.rst
%{python_sitelib}/*

%changelog
* Thu Mar 10 2016 tbechtold@suse.com
- Initial packaging (version 1.0.2)
